package org.n52.wps.client.jump;

import org.n52.wps.client.StaticDataHandlerRepository;
import org.n52.wps.client.WPSClientSession;
import org.n52.wps.io.GeneratorFactory;
import org.n52.wps.io.ParserFactory;

import com.vividsolutions.jump.workbench.plugin.Extension;
import com.vividsolutions.jump.workbench.plugin.PlugInContext;

public class WPSClientExtension extends Extension {
	// basic property in the blackboard!
	public static String WPS_Client = "wpsClient";
	public static String WPS_CLIENT_MENU_PATH = "WPS Client";
	
	public void configure(PlugInContext ctx) throws Exception {
		ctx.getWorkbenchContext().getBlackboard().put(WPS_Client, WPSClientSession.getInstance());
		new WPSClientAddPlugIn().initialize(ctx);
		new WPSClientExecuteProcessPlugIn().initialize(ctx);

		// Setting up the XML Facilities for JUMP, no additional parsers are available
		// should be configured through a properties file in a later stage.
//		GeneratorFactory.initialize(new String[0]);
//		ParserFactory.initialize(new String[0]);

	}

}
